<nz-table
  nzShowSizeChanger
  [nzData]="list"
  [nzFrontPagination]="false"
  [nzLoading]="loading"
  [nzTotal]="total"
  [nzPageSize]="pageSize"
  [nzPageIndex]="pageIndex"
  [nzShowPagination]="false"
  (nzQueryParams)="onQueryParamsChange($event)"
  #editRowTable
>
  <thead>
  <tr>
    <ng-container *ngFor="let key of keys">
      <ng-container *ngIf="!key?.condition || (key?.condition && key?.condition())">
        <th *ngIf="key.nzSortFn && key.filter" [nzColumnKey]="key.databaseKey" [nzSortFn]="key.nzSortFn"
            [nzFilterFn]="key.nzFilterFn" [nzFilters]="key.filter">{{key.columnName}}</th>
        <th *ngIf="!key.nzSortFn && key.filter" [nzColumnKey]="key.databaseKey"
            [nzFilterFn]="key.nzFilterFn" [nzFilters]="key.filter">{{key.columnName}}</th>
        <th *ngIf="!key.nzSortFn && !key.filter && !key.withMonitoring">{{key.columnName}}</th>
        <th *ngIf="!key.nzSortFn && !key.filter && key.withMonitoring">{{key.columnName}}</th>
        <th *ngIf="key.nzSortFn && !key.filter" [nzColumnKey]="key.databaseKey"
            [nzSortFn]="key.nzSortFn">{{key.columnName}}</th>
      </ng-container>

    </ng-container>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let data of editRowTable.data" class="editable-row">
    <ng-container *ngFor="let key of keys">
      <ng-container *ngIf="!key?.condition || (key?.condition && key?.condition())">
        <td *ngIf="!key.withButtons && !key.withMonitoring">
          <ng-container *ngIf="!key?.dataType">
            {{data[key.databaseKey]}}
          </ng-container>

          <ng-container *ngIf="key?.dataType === ('date')">
            {{data[key.databaseKey]?.toDate() | date:'dd/MM/yyyy'}}
          </ng-container>
          <ng-container *ngIf="key?.dataType === ('dateWithHours')">
            {{data[key.databaseKey]?.toDate() | date:'dd/MM/yyyy à HH:mm'}}
          </ng-container>

        </td>
        <td *ngIf="key.withButtons">
          <nz-space>
            <ng-container *ngFor="let button of key.buttons;">
              <nz-space-item *ngIf="button?.condition(data)">
                <button nz-button nzSize="small"
                        [nzType]="button.type" (click)="button.action(data)" nz-tooltip
                        [nzTooltipTitle]="button.tooltipText">
                  <i nz-icon [nzType]="button.iconName" [nzTheme]="button.iconThemeType"></i>
                  <span *ngIf="button.text">{{button.text}}</span>
                </button>
              </nz-space-item>
            </ng-container>
          </nz-space>
        </td>
        <td *ngIf="key.withMonitoring && !key.withButtons">
          <nz-space>
            <app-user-monitoring [data]="data"></app-user-monitoring>
          </nz-space>
        </td>
      </ng-container>
    </ng-container>
  </tr>
  </tbody>
</nz-table>
